| trimspace

## Function

Remove extra whitespace from an ASCII text file

## Description

Replaces all white space with a single space. nospace removes all whitespace from the input sequence.

## Usage

Here is a sample session with trimspace

    % trimspace
    Remove extra whitespace from an ASCII text file
    ASCII text file: seqspace2.txt
    ASCII text output file [seqspace2.trimspace]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-infile]            infile     ASCII text file
      [-outfile]           outfile    [*.trimspace] ASCII text output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-infile] (Parameter 1) | ASCII text file | Input file | Required
[-outfile] (Parameter 2) | ASCII text output file | Output file | <*>.trimspace
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

trimspace reads any text file.

### Input files for usage example

### File: seqspace2.txt

    >X13776   Pseudomonas aeruginosa    amiC and amiR gene
     ggtaccgctg gccgagcatc tgctcgatca ccaccagccg ggcgacggga
     actgcacgat ctacctggcg agcctggagc acgagcgggt tcgcttcgta
     cggcgctgag cgacagtcac aggagaggaa acggatggga tcgcaccagg
     agcggccgct gatcggcctg ctgttctccg aaaccggcgt caccgccgat
     atcgagcgct cgcacgcgta tggcgcattg ctcgcggtcg agcaactgaa
     ccgcgagggc ggcgtcggcg gtcgcccgat cgaaacgctg tcccaggacc
     ccggcggcga cccggaccgc tatcggctgt gcgccgagga cttcattcgc
     aaccgggggg tacggttcct cgtgggctgc tacatgtcgc acacgcgcaa
     ggcggtgatg ccggtggtcg agcgcgccga cgcgctgctc tgctacccga
     ccccctacga gggcttcgag tattcgccga acatcgtcta cggcggtccg
     gcgccgaacc agaacagtgc gccgctggcg gcgtacctga ttcgccacta
     cggcgagcgg gtggtgttca tcggctcgga ctacatctat ccgcgggaaa
     gcaaccatgt gatgcgccac ctgtatcgcc agcacggcgg cacggtgctc
     gaggaaatct acattccgct gtatccctcc gacgacgact tgcagcgcgc
     cgtcgagcgc atctaccagg cgcgcgccga cgtggtcttc tccaccgtgg
     tgggcaccgg caccgccgag ctgtatcgcg ccatcgcccg tcgctacggc
     gacggcaggc ggccgccgat cgccagcctg accaccagcg aggcggaggt
     ggcgaagatg gagagtgacg tggcagaggg gcaggtggtg gtcgcgcctt
     acttctccag catcgatacg cccgccagcc gggccttcgt ccaggcctgc
     catggtttct tcccggagaa cgcgaccatc accgcctggg ccgaggcggc
     ctactggcag accttgttgc tcggccgcgc cgcgcaggcc gcaggcaact
     ggcgggtgga agacgtgcag cggcacctgt acgacatcga catcgacgcg
     ccacaggggc cggtccgggt ggagcgccag aacaaccaca gccgcctgtc
     ttcgcgcatc gcggaaatcg atgcgcgcgg cgtgttccag gtccgctggc
     agtcgcccga accgattcgc cccgaccctt atgtcgtcgt gcataacctc
     gacgactggt ccgccagcat gggcggggga ccgctcccat gagcgccaac
     tcgctgctcg gcagcctgcg cgagttgcag gtgctggtcc tcaacccgcc
     gggggaggtc agcgacgccc tggtcttgca gctgatccgc atcggttgtt
     cggtgcgcca gtgctggccg ccgccggaag ccttcgacgt gccggtggac
     gtggtcttca ccagcatttt ccagaatggc caccacgacg agatcgctgc
     gctgctcgcc gccgggactc cgcgcactac cctggtggcg ctggtggagt
     acgaaagccc cgcggtgctc tcgcagatca tcgagctgga gtgccacggc
     gtgatcaccc agccgctcga tgcccaccgg gtgctgcctg tgctggtatc
     ggcgcggcgc atcagcgagg aaatggcgaa gctgaagcag aagaccgagc
     agctccagga ccgcatcgcc ggccaggccc ggatcaacca ggccaaggtg
     ttgctgatgc agcgccatgg ctgggacgag cgcgaggcgc accagcacct
     gtcgcgggaa gcgatgaagc ggcgcgagcc gatcctgaag atcgctcagg
     agttgctggg aaacgagccg tccgcctgag cgatccgggc cgaccagaac
     aataacaaga ggggtatcgt catcatgctg ggactggttc tgctgtacgt
     tggcgcggtg ctgtttctca atgccgtctg gttgctgggc aagatcagcg
     gtcgggaggt ggcggtgatc aacttcctgg tcggcgtgct gagcgcctgc
     gtcgcgttct acctgatctt ttccgcagca gccgggcagg gctcgctgaa
     ggccggagcg ctgaccctgc tattcgcttt tacctatctg tgggtggccg
     ccaaccagtt cctcgag

## Output file format

trimspace rewrites the input file.

### Output files for usage example

### File: seqspace2.trimspace

    >X13776 Pseudomonas aeruginosa amiC and amiR gene
    ggtaccgctg gccgagcatc tgctcgatca ccaccagccg ggcgacggga
    actgcacgat ctacctggcg agcctggagc acgagcgggt tcgcttcgta
    cggcgctgag cgacagtcac aggagaggaa acggatggga tcgcaccagg
    agcggccgct gatcggcctg ctgttctccg aaaccggcgt caccgccgat
    atcgagcgct cgcacgcgta tggcgcattg ctcgcggtcg agcaactgaa
    ccgcgagggc ggcgtcggcg gtcgcccgat cgaaacgctg tcccaggacc
    ccggcggcga cccggaccgc tatcggctgt gcgccgagga cttcattcgc
    aaccgggggg tacggttcct cgtgggctgc tacatgtcgc acacgcgcaa
    ggcggtgatg ccggtggtcg agcgcgccga cgcgctgctc tgctacccga
    ccccctacga gggcttcgag tattcgccga acatcgtcta cggcggtccg
    gcgccgaacc agaacagtgc gccgctggcg gcgtacctga ttcgccacta
    cggcgagcgg gtggtgttca tcggctcgga ctacatctat ccgcgggaaa
    gcaaccatgt gatgcgccac ctgtatcgcc agcacggcgg cacggtgctc
    gaggaaatct acattccgct gtatccctcc gacgacgact tgcagcgcgc
    cgtcgagcgc atctaccagg cgcgcgccga cgtggtcttc tccaccgtgg
    tgggcaccgg caccgccgag ctgtatcgcg ccatcgcccg tcgctacggc
    gacggcaggc ggccgccgat cgccagcctg accaccagcg aggcggaggt
    ggcgaagatg gagagtgacg tggcagaggg gcaggtggtg gtcgcgcctt
    acttctccag catcgatacg cccgccagcc gggccttcgt ccaggcctgc
    catggtttct tcccggagaa cgcgaccatc accgcctggg ccgaggcggc
    ctactggcag accttgttgc tcggccgcgc cgcgcaggcc gcaggcaact
    ggcgggtgga agacgtgcag cggcacctgt acgacatcga catcgacgcg
    ccacaggggc cggtccgggt ggagcgccag aacaaccaca gccgcctgtc
    ttcgcgcatc gcggaaatcg atgcgcgcgg cgtgttccag gtccgctggc
    agtcgcccga accgattcgc cccgaccctt atgtcgtcgt gcataacctc
    gacgactggt ccgccagcat gggcggggga ccgctcccat gagcgccaac
    tcgctgctcg gcagcctgcg cgagttgcag gtgctggtcc tcaacccgcc
    gggggaggtc agcgacgccc tggtcttgca gctgatccgc atcggttgtt
    cggtgcgcca gtgctggccg ccgccggaag ccttcgacgt gccggtggac
    gtggtcttca ccagcatttt ccagaatggc caccacgacg agatcgctgc
    gctgctcgcc gccgggactc cgcgcactac cctggtggcg ctggtggagt
    acgaaagccc cgcggtgctc tcgcagatca tcgagctgga gtgccacggc
    gtgatcaccc agccgctcga tgcccaccgg gtgctgcctg tgctggtatc
    ggcgcggcgc atcagcgagg aaatggcgaa gctgaagcag aagaccgagc
    agctccagga ccgcatcgcc ggccaggccc ggatcaacca ggccaaggtg
    ttgctgatgc agcgccatgg ctgggacgag cgcgaggcgc accagcacct
    gtcgcgggaa gcgatgaagc ggcgcgagcc gatcctgaag atcgctcagg
    agttgctggg aaacgagccg tccgcctgag cgatccgggc cgaccagaac
    aataacaaga ggggtatcgt catcatgctg ggactggttc tgctgtacgt
    tggcgcggtg ctgtttctca atgccgtctg gttgctgggc aagatcagcg
    gtcgggaggt ggcggtgatc aacttcctgg tcggcgtgct gagcgcctgc
    gtcgcgttct acctgatctt ttccgcagca gccgggcagg gctcgctgaa
    ggccggagcg ctgaccctgc tattcgcttt tacctatctg tgggtggccg
    ccaaccagtt cctcgag

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Reads and writes alignments
aligncopypair | Reads and writes pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Removes a section from a sequence
degapseq | Removes non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieves sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Reads and writes a feature table
featreport | Reads and writes a feature table
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Masks all ambiguity characters in nucleotide sequences with N
maskambigprot | Masks all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove all whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads sequences and writes them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
union | Concatenate multiple sequences into a single sequence
vectorstrip | Removes vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Jon Ison (jison © ebi.ac.uk)
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None